Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

library conflict with docker version #132

Open
jchartrand opened this Issue Mar 6, 2019 · 2 comments

Comments

Projects
None yet
2 participants
@jchartrand
Copy link

jchartrand commented Mar 6, 2019

I've followed the instructions for running the cert-issuer from the docker container, and all is well until I actually invoke the 'cert-issuer' command, at which point I get an error (pasted below) that seems to suggest library incompatibilities, but I don't know enough about Python to fiddle with the dependencies. It seems like I need to either update connexion or install an earlier version of jsonschema. Any suggestions would be much appreciated.

bash-4.3# cert-issuer -c /etc/cert-issuer/conf.ini
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 583, in _build_master
ws.require(requires)
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 900, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1 (/usr/lib/python3.6/site-packages), Requirement.parse('jsonschema<3.0.0,>=2.5.1'), {'connexion'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/cert-issuer", line 6, in
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3191, in
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3175, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3204, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 585, in _build_master
return cls._build_from_requirements(requires)
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 598, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1 (/usr/lib/python3.6/site-packages), Requirement.parse('jsonschema<3.0.0,>=2.5.1'), {'connexion'})
bash-4.3#

@yancyribbens

This comment has been minimized.

Copy link
Contributor

yancyribbens commented Mar 9, 2019

hi @jchartrand. There are a few different ways to run cert-issuer from a docker container. Can you post what build command you used to build the container?

@jchartrand

This comment has been minimized.

Copy link
Author

jchartrand commented Mar 9, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.